#include<stdio.h>
#include<stdlib.h>
int main()
{
	int i,N,pom,max=INT_MIN,j;
	scanf("%d",&N);
	int A[N],C[10];
	for(i=0;i<N;i++)
		scanf("%d",&A[i]);
	for(i=0;i<10;i++)
		C[i]=0;
		
	for(i=0;i<N;i++)
		C[A[i]]++;
		
	for(j=9;j>=0;j--)
	{
		if(C[j]!=0) {
		max=j;
		break;
	}
	}
	for(i=0;i<N;i+=1)
	{	
		if(A[i]<max){
			for(int k=N;k>i;k--)
			{
				if(A[k]==max){
					pom=A[k];
					A[k]=A[i];
					A[i]=pom;
					break;
				}
			}
			break;
		}
		else C[j]-=1;
		
		if(C[j]==0){
			for(j=j;j>=0;j--)
			if(C[j]!=0) {
			max=j;
			break;
			}
		}
	}
	for(i=0;i<N;i++)
	{
		printf("%d ",A[i]);
	}
	return 0;
}